/// <reference types="bluebird" />
import * as Promise from 'bluebird';
import { Column, Table, Transaction, AnydbSql } from 'anydb-sql-2';
export interface Migration {
    version: string;
}
export interface MigrationsTable extends Table<string, Migration> {
    version: Column<'version', string>;
}
export interface MigFn {
    (tx: Transaction): Promise<any>;
}
export interface MigrationTask {
    up: MigFn;
    down: MigFn;
    name: string;
}
export declare function create(db: AnydbSql, tasks: string | MigrationTask[]): {
    run: () => void | Promise<void>;
    check: (f: (items: MigrationTask[]) => any) => Promise<void>;
    migrate: (opts?: {
        silent?: boolean;
    }) => Promise<void>;
    undoLast: () => Promise<void>;
    drop: () => Promise<void>;
};
